org.apache.sysds.runtime.compress.workload

## Class WTreeNode

- java.lang.Object
- - org.apache.sysds.runtime.compress.workload.WTreeNode

-     public class WTreeNode
      extends Object

  A workload tree is a compact representation of the operations on a compressed matrix and derived intermediates, including the basic control structure and inlined functions as well as links to categories TODO separate classes for inner and leaf nodes?

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WTreeNode.WTNodeType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WTreeNode(WTreeNode.WTNodeType type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChild(WTreeNode node)`
    `void` | `addCompressedOp(Hop hop)`
    `String` | `explain(int level)`
    `List<WTreeNode>` | `getChildNodes()`
    `List<Hop>` | `getCompressedOps()`
    `WTreeNode.WTNodeType` | `getType()`
    `void` | `setLineNumbers(int begin, int end)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WTreeNode

          public WTreeNode(WTreeNode.WTNodeType type)

  - ### Method Detail

    - #### getType

          public WTreeNode.WTNodeType getType()

    - #### getChildNodes

          public List<WTreeNode> getChildNodes()

    - #### addChild

          public void addChild(WTreeNode node)

    - #### getCompressedOps

          public List<Hop> getCompressedOps()

    - #### addCompressedOp

          public void addCompressedOp(Hop hop)

    - #### setLineNumbers

          public void setLineNumbers(int begin,
                                     int end)

    - #### explain

          public String explain(int level)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 The Apache Software Foundation. All rights reserved.